> ## Documentation Index
> Fetch the complete documentation index at: https://anam.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# get session recording

> Returns a presigned URL to download the session recording



## OpenAPI

````yaml https://api.anam.ai/swagger.json get /v1/sessions/{id}/recording
openapi: 3.1.0
info:
  title: Anam AI API
  version: '1.0'
servers:
  - url: https://api.anam.ai
    description: Anam API
security:
  - BearerAuth: []
tags:
  - name: Sessions
  - name: Personas
  - name: Avatars
  - name: Voices
  - name: LLMs
  - name: Knowledge
  - name: Tools
  - name: Share Links
paths:
  /v1/sessions/{id}/recording:
    get:
      tags:
        - Sessions
      summary: get session recording
      description: Returns a presigned URL to download the session recording
      operationId: getSessionRecording
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: Session ID
      responses:
        '200':
          description: Successfully retrieved recording URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  recordingUrl:
                    type: string
                    description: >-
                      Presigned URL to download the recording (expires in 1
                      hour)
              examples:
                default:
                  $ref: '#/components/examples/SessionRecordingResponse'
        '400':
          description: Bad request - Invalid session ID
        '401':
          description: Unauthorized - Invalid or missing API key
        '404':
          description: Not Found - Session or recording not found
        '500':
          description: Server error
components:
  examples:
    SessionRecordingResponse:
      summary: A short-lived URL for downloading the session recording
      value:
        recordingUrl: >-
          https://cdn.anam.ai/recordings/00000000-0000-0000-0000-000000000000.mp4?X-Amz-Signature=…
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````